- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# RequestAnalyzer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 175 of file qtransportauth_qws.h.

`#include <qtransportauth_qws.h>`

List of all members.

## Public Member Functions
| RequestAnalyzer ()
virtual | ~RequestAnalyzer ()
QString | operator() (QByteArray *data)
bool | requireMoreData () const
qint64 | bytesAnalyzed () const
## Protected Member Functions
virtual QString | analyze (QByteArray *)
## Protected Attributes
bool | moreData
qint64 | dataSize

## Constructor & Destructor Documentation

RequestAnalyzer | ( |  | ) |

virtual ~RequestAnalyzer | ( |  | ) | `[virtual]`

## Member Function Documentation

QString operator() | ( | QByteArray * | data | ) | `[inline]`

Definition at line 180 of file qtransportauth_qws.h.

    { return analyze( data ); }

bool requireMoreData | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 181 of file qtransportauth_qws.h.

    { return moreData; }

qint64 bytesAnalyzed | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 182 of file qtransportauth_qws.h.

    { return dataSize; }

virtual QString analyze | ( | QByteArray * |  | ) | `[protected, virtual]`

Search for all occurrences

## Member Data Documentation

bool moreData `[protected]`

Search for all occurrences

Definition at line 185 of file qtransportauth_qws.h.

qint64 dataSize `[protected]`

Search for all occurrences

Definition at line 186 of file qtransportauth_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qtransportauth_qws.h

RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer
RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer RequestAnalyzer